package com.gigachatwoot.connectors.chatwoot.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class CSMLFlowInfoDTO {

    @JsonProperty("default_flow")
    private String defaultFlow;

    @JsonProperty("flows")
    private List<FlowDTO> flows;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public static class FlowDTO {
        @JsonProperty("name")
        private String name;

        @JsonProperty("content")
        private String content;
    }
}
