package com.gigachatwoot.connectors.gigachat.dto;

import jakarta.validation.constraints.NotNull;
import lombok.*;
import org.springframework.context.annotation.PropertySource;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Getter
@Setter(AccessLevel.NONE)
@Component
@PropertySource("classpath:application.yml")
public class GigaChatAuthDTO {
    @Value("${gigachat.scope}")
    @NotNull(message = "Scope is required.")
    private String scope;
}
