package com.gigachatwoot.connectors.gigachat.services;

import com.gigachatwoot.connectors.chatwoot.models.ChatMessage;
import com.gigachatwoot.connectors.gigachat.client.GigaChatConnectorClient;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
@RequiredArgsConstructor
public class GigaChatConnectorService {
    private final GigaChatConnectorClient gigaChatConnectorClient;

    public String getGigaChatAnswer(List<ChatMessage> content) {
        return gigaChatConnectorClient.getGigaChatAnswer(content);
    }
}
